<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="androidx.databinding.ObservableList" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.contab_doc_interni.DocInterniFragment" />

        <variable
            name="viewModel"
            type="it.integry.integrywmsnative.gest.contab_doc_interni.DocInterniViewModel" />


        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />


    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/full_white"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:descendantFocusability="blocksDescendants"
                android:orientation="vertical"
                android:paddingTop="8dp">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginRight="8dp"
                    android:background="@drawable/gray_detail_background_round8"
                    android:orientation="vertical"
                    app:singleClick="@{() -> view.selectDocInfo()}"
                    android:padding="16dp">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:text="@string/cod_dtip_name"
                            android:textColor="@android:color/black"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/cod_dtip"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{viewModel.dtbTipi.codDtip}"
                            android:textColor="@android:color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:text="114" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/desc_tipo_doc"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:text="@{viewModel.dtbTipi.descrizione}"
                            android:textColor="@android:color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            android:maxLines="1"
                            android:ellipsize="end"
                            tools:text="PERDITA" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:id="@+id/mtb_grp_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:text="@string/cod_mgrp_name"
                            android:textColor="@android:color/black"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/cod_mgrp"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{viewModel.mtbGrup.codMgrp}"
                            android:textColor="@android:color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:text="06" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/desc_group_art"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="4dp"
                            android:text="@{viewModel.mtbGrup.descrizione}"
                            android:textColor="@android:color/black"
                            android:textSize="16sp"
                            android:maxLines="1"
                            android:ellipsize="end"
                            android:textStyle="bold"
                            tools:text="FOOD" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:id="@+id/cod_anag_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:text="@string/cod_anag_name"
                            android:textColor="@android:color/black"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/cod_anag"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{viewModel.fornitore.label}"
                            android:textColor="@android:color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            android:maxLines="1"
                            android:ellipsize="end"
                            tools:text="F0000 - CARELLI" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:id="@+id/doc_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:text="@string/document_label"
                            android:textColor="@android:color/black"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/document"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@android:color/black"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            android:maxLines="1"
                            android:ellipsize="end"
                            tools:text="n. 123 del 12/11/2021" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="8dp"
                            android:text="@string/articoli_disponibili"
                            android:textColor="@android:color/black"
                            android:textSize="14sp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/count_arts"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@android:color/black"
                            android:textSize="14sp"
                            android:textStyle="bold"
                            app:binding="@{viewModel.artsSize}"
                            tools:text="0" />
                    </androidx.appcompat.widget.LinearLayoutCompat>


                </androidx.appcompat.widget.LinearLayoutCompat>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"

                    >

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/doc_interni_main_list"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="16dp"
                        android:background="@color/full_white"
                        android:paddingStart="2dp"
                        android:paddingEnd="2dp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/doc_interni_empty_view"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:alpha="0.3">

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_top"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            app:layout_constraintGuide_percent="0.2" />

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_left"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.15" />

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_right"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.85" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"

                            app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                            app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                            app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="72dp"
                                android:layout_height="wrap_content"
                                android:adjustViewBounds="true"
                                android:src="@drawable/ic_playlist_add_check_24dp" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center_horizontal"
                                android:text="@string/no_doc_found_message"
                                android:textColor="@android:color/black"
                                android:textSize="18sp" />
                        </LinearLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>


                </RelativeLayout>
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">


            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/free_picking__suggestion_1__guideline_top"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:orientation="horizontal"
                app:layout_constraintGuide_percent="0.3" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/free_picking__suggestion_1__guideline_left"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.2" />

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/free_picking__suggestion_1__guideline_right"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.8" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/main_fab"
            style="@style/Widget.MaterialComponents.FloatingActionButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_margin="@dimen/fab_margin"
            android:onClick="@{() -> viewModel.newDocument()}"
            android:tint="@android:color/white"
            android:visibility="invisible"
            app:srcCompat="@drawable/ic_add_24dp" />
    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>